Bug 1526199 - User experience changed - No longer present for SeaMonkey users
Summary: User experience changed - No longer present for SeaMonkey users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla-noscript
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-14 22:46 UTC by Russell Golden
Modified: 2018-01-02 16:52 UTC (History)
2 users (show)

Fixed In Version: mozilla-noscript-10.1.6-1.fc26 mozilla-noscript-10.1.6-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 16:25:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Russell Golden 2017-12-14 22:46:13 UTC
NoScript 10.x is indeed not compatible with SeaMonkey. However, 5.x is still actively maintained according to the author's blog ( https://hackademix.net/2017/12/04/noscript-quantum-vs-legacy-in-a-nutshell-2/ ).

What I did with HTTPS Everywhere (which doesn't maintain the XUL version anymore) was to package both versions. The WebExtensions version goes into the Firefox directory, and the XUL version goes into the SeaMonkey directory. This way, everyone still has the extension, even if one version is old, and they don't conflict with each other.

Could you please include both in the next update?

Comment 1 Dominik 'Rathann' Mierzejewski 2017-12-15 23:50:00 UTC
Sure, that's a neat idea. Thanks for the inspiration.

Comment 2 Fedora Update System 2017-12-16 22:22:59 UTC
mozilla-noscript-10.1.5.8-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3897f32d27

Comment 3 Fedora Update System 2017-12-16 22:23:13 UTC
mozilla-noscript-10.1.5.8-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ee9e1dc42

Comment 4 Fedora Update System 2017-12-17 22:23:08 UTC
mozilla-noscript-10.1.5.8-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3897f32d27

Comment 5 Fedora Update System 2017-12-17 23:21:14 UTC
mozilla-noscript-10.1.5.8-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ee9e1dc42

Comment 6 Fedora Update System 2017-12-19 22:42:21 UTC
mozilla-noscript-10.1.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9da99d757f

Comment 7 Fedora Update System 2017-12-19 22:42:38 UTC
mozilla-noscript-10.1.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d9343fad55

Comment 8 Fedora Update System 2017-12-21 20:24:51 UTC
mozilla-noscript-10.1.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9da99d757f

Comment 9 Fedora Update System 2017-12-21 21:10:26 UTC
mozilla-noscript-10.1.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d9343fad55

Comment 10 Fedora Update System 2018-01-02 16:25:02 UTC
mozilla-noscript-10.1.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-01-02 16:52:11 UTC
mozilla-noscript-10.1.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.